#include<iostream>
#include<cmath>
using namespace std;

int main(){
	ios_base::sync_with_stdio(false);
	
	int n, m, t[100000], p1[100000], p2[100000], bp[100000];
	bool ptip[100000];
	cin>>n>>m;
	
	
	for(int i=0;i<n;i++)
	{
		cin>>t[i];
		bp[i] = 0;
	}
		
	for(int i=0;i<m;i++)
		cin>>p1[i]>>p2[i];
	
	int maxi;
	
	for(int i=0;i<m;i++)
	{
		if(abs(t[p1[i] - 1]) > abs(t[p2[i] - 1]))
			maxi = p1[i] - 1;
		else
			maxi = p2[i] - 1;
			
		if(t[maxi] < 0)
		{
			ptip[i] = false;
			bp[p1[i] - 1] -= 1;
			bp[p2[i] - 1] -= 1;
		}
		else
		{
			ptip[i] = true;
			bp[p1[i] - 1] += 1;
			bp[p2[i] - 1] += 1;
		}
		
		
	}
	
	int s=0;
	
	for(int i=0;i<n;i++)
		s += t[i] * bp[i];
		
	cout<<s;	
	
	
	return 0;
}